IBM Forms Viewer Stack Buffer Overflow

Medium Nessus Plugin ID 72026


The remote Windows host has an application that is affected by a stack-based buffer overflow.


The version of IBM Forms Viewer on the remote host is affected by a stack-based buffer overflow in the XDL form fontname tag parser.
This can allow an attacker to execute arbitrary code.


Upgrade to IBM Forms Viewer or or newer.

See Also

Plugin Details

Severity: Medium

ID: 72026

File Name: ibm_forms_viewer_overflow.nasl

Version: $Revision: 1.4 $

Type: local

Agent: windows

Family: Windows

Published: 2014/01/19

Modified: 2014/06/02

Dependencies: 72025

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/a:ibm:forms_viewer

Required KB Items: SMB/Registry/Enumerated, SMB/ibm_forms_viewer/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/12/15

Vulnerability Publication Date: 2013/12/15

Exploitable With

Core Impact

Metasploit (IBM Forms Viewer Unicode Buffer Overflow)

Reference Information

CVE: CVE-2013-5447

OSVDB: 100732

EDB-ID: 30789

IAVB: 2014-B-0004